| Package | Description |
|---|---|
| org.apache.camel.builder.endpoint | |
| org.apache.camel.builder.endpoint.dsl |
| Modifier and Type | Method and Description |
|---|---|
static VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder |
StaticEndpointBuilders.vertxWebsocket(String path)
Vert.x WebSocket (camel-vertx-websocket)
Expose WebSocket endpoints and connect to remote WebSocket servers using
Vert.x
Category: websocket
Since: 3.5
Maven coordinates: org.apache.camel:camel-vertx-websocket
Syntax:
vertx-websocket:host:port/path
Path parameter: host
The host that the consumer should bind to or the host of the remote
websocket destination that the producer should connect to
Default value: 0.0.0.0
Path parameter: port
The port that the consumer should bind to or port of the remote websocket
destination that the producer should connect to
Default value: 0
Path parameter: path (required)
The path that the consumer should bind to or path of the remote websocket
destination that the producer should connect to
Default value: / |
static VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder |
StaticEndpointBuilders.vertxWebsocket(String componentName,
String path)
Vert.x WebSocket (camel-vertx-websocket)
Expose WebSocket endpoints and connect to remote WebSocket servers using
Vert.x
Category: websocket
Since: 3.5
Maven coordinates: org.apache.camel:camel-vertx-websocket
Syntax:
vertx-websocket:host:port/path
Path parameter: host
The host that the consumer should bind to or the host of the remote
websocket destination that the producer should connect to
Default value: 0.0.0.0
Path parameter: port
The port that the consumer should bind to or port of the remote websocket
destination that the producer should connect to
Default value: 0
Path parameter: path (required)
The path that the consumer should bind to or path of the remote websocket
destination that the producer should connect to
Default value: / |
| Modifier and Type | Method and Description |
|---|---|
default VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder |
VertxWebsocketEndpointBuilderFactory.AdvancedVertxWebsocketEndpointBuilder.basic() |
static VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder |
VertxWebsocketEndpointBuilderFactory.endpointBuilder(String componentName,
String path) |
default VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder |
VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder.sslContextParameters(Object sslContextParameters)
To configure security using SSLContextParameters.
|
default VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder |
VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder.sslContextParameters(String sslContextParameters)
To configure security using SSLContextParameters.
|
default VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder |
VertxWebsocketEndpointBuilderFactory.VertxWebsocketBuilders.vertxWebsocket(String path)
Vert.x WebSocket (camel-vertx-websocket)
Expose WebSocket endpoints and connect to remote WebSocket servers
using Vert.x
Category: websocket
Since: 3.5
Maven coordinates: org.apache.camel:camel-vertx-websocket
Syntax:
vertx-websocket:host:port/path
Path parameter: host
The host that the consumer should bind to or the host of the remote
websocket destination that the producer should connect to
Default value: 0.0.0.0
Path parameter: port
The port that the consumer should bind to or port of the remote
websocket destination that the producer should connect to
Default value: 0
Path parameter: path (required)
The path that the consumer should bind to or path of the remote
websocket destination that the producer should connect to
Default value: / |
default VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder |
VertxWebsocketEndpointBuilderFactory.VertxWebsocketBuilders.vertxWebsocket(String componentName,
String path)
Vert.x WebSocket (camel-vertx-websocket)
Expose WebSocket endpoints and connect to remote WebSocket servers
using Vert.x
Category: websocket
Since: 3.5
Maven coordinates: org.apache.camel:camel-vertx-websocket
Syntax:
vertx-websocket:host:port/path
Path parameter: host
The host that the consumer should bind to or the host of the remote
websocket destination that the producer should connect to
Default value: 0.0.0.0
Path parameter: port
The port that the consumer should bind to or port of the remote
websocket destination that the producer should connect to
Default value: 0
Path parameter: path (required)
The path that the consumer should bind to or path of the remote
websocket destination that the producer should connect to
Default value: / |
Apache Camel